.TH CosNotifyChannelAdmin_SequenceProxyPullConsumer 3 "cosNotification  1.1.11" "Ericsson AB" "ERLANG MODULE DEFINITION"
.SH MODULE
CosNotifyChannelAdmin_SequenceProxyPullConsumer \- This module implements the OMG CosNotifyChannelAdmin::SequenceProxyPullConsumer interface\&.
.SH DESCRIPTION
.LP
To get access to the record definitions for the structures use: 
.br
\fI-include_lib("cosNotification/include/*\&.hrl")\&.\fR
.LP
This module also exports the functions described in:
.RS 2
.TP 2
*
CosNotifyComm_NotifyPublish
.TP 2
*
CosNotification_QoSAdmin
.TP 2
*
CosNotifyFilter_FilterAdmin
.TP 2
*
CosNotifyChannelAdmin_ProxyConsumer
.RE

.SH EXPORTS
.LP
.B
connect_sequence_pull_supplier(SequenceProxyPullConsumer, PullSupplier) -> Reply
.br
.RS
.TP
Types
SequenceProxyPullConsumer = #objref
.br
PullSupplier = #objref
.br
Reply = ok | {\&'EXCEPTION\&', #\&'CosEventChannelAdmin_AlreadyConnected\&'{}} | {\&'EXCEPTION\&', #\&'CosEventChannelAdmin_TypeError\&'{}}
.br
.RE
.RS
.LP
This operation connects a \fIPullSupplier\fR to the target object\&. If a connection already exists or the supplied client does not support the functions \fIpull_structured_events\fR and \fItry_pull_structured_events\fR an exception is raised\&.
.RE
.LP
.B
suspend_connection(SequenceProxyPullConsumer) -> Reply
.br
.RS
.TP
Types
SequenceProxyPullConsumer = #objref
.br
Reply = ok | {\&'EXCEPTION\&', #\&'CosNotifyChannelAdmin_ConnectionAlreadyInactive\&'{}} | {\&'EXCEPTION\&', #\&'CosNotifyChannelAdmin_NotConnected\&'{}}
.br
.RE
.RS
.LP
If a connection exist, invoking this operation will suspend the connection until instructed otherwise\&. Otherwise, no client have been connected or this operation already have been invoked an exception is raised\&.
.RE
.LP
.B
resume_connection(SequenceProxyPullConsumer) -> Reply
.br
.RS
.TP
Types
SequenceProxyPullConsumer = #objref
.br
Reply = ok | {\&'EXCEPTION\&', #\&'CosNotifyChannelAdmin_ConnectionAlreadyInactive\&'{}} | {\&'EXCEPTION\&', #\&'CosNotifyChannelAdmin_NotConnected\&'{}}
.br
.RE
.RS
.LP
If an connection have been suspended this operation must be used to resume the connection\&. If the connection already is active or no client have been connected an exception is raised\&.
.RE
.LP
.B
disconnect_sequence_pull_consumer(SequenceProxyPullConsumer) -> ok
.br
.RS
.TP
Types
SequenceProxyPullConsumer = #objref
.br
.RE
.RS
.LP
This operation close the connection to the client and terminates the target object\&.
.RE
